import { z } from 'zod';

export const redisConfigSchema = z.object({
  enabled: z.boolean().optional().default(true),
  host: z.string().default('localhost'),
  port: z.number().default(6379),
  password: z.string().optional(),
  username: z.string().optional(),
  db: z.number().optional().default(0),
});

export type RedisConfig = z.infer<typeof redisConfigSchema>;